Bug 132389 - gnome-abiword.desktop/MimeType needs work
gnome-abiword.desktop/MimeType needs work
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: abiword (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-11 23:48 EDT by W. Michael Petullo
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: FC3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-14 05:28:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description W. Michael Petullo 2004-09-11 23:48:09 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux ppc; en-US; rv:1.7.2)
Gecko/20040809 Epiphany/1.3.8

Description of problem:
AbiWord can open MS Word and OpenOffice Writer documents.  However,
gnome-abiword.desktop says:

MimeType=application/msword;text/abiword;application/vnd.wordperfect;application/x-abiword;

"application/vnd.sun.xml.writer" is missing.

GNOME sees MS Word documents as "application/vnd.ms-word" not 
"application/msword."


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Notice that AbiWord is not set up as a handler for
"application/vnd.sun.xml.writer" or "application/vnd.ms-word."

Additional info:

AbiWord also claims to open the following formats, but I have not
worked with them yet:

RTF
Text
XHTML
HTML
WML
T602
StarWriter
Palm Document
Microsoft Write
MIF
KWord
Hancom Word
Claris/Apple Works 5
Applix Word

It does not look like AbiWord ships with a .desktop file that contains
a MimeType definition.  Is gnome-abiword.desktop written by Red Hat? 
If so, I would like to open an upstream bug report with this information.
Comment 1 Caolan McNamara 2004-09-14 04:42:59 EDT
I whipped together the .desktop from the .keys of the previous
packages, both of which were assembled by redhat. Adding mimetypes to
.desktops is a relatively new feature of .desktops. I'll add in more
of the types from the above filters which have current entries in
shared-mime-info, and you can go ahead and open an upstream bug to
provide a modern abiword.desktop with a MimeType line
Comment 2 Caolan McNamara 2004-09-14 05:28:29 EDT
2.0.11-3 will have extra MimeTypes in the .desktop file.
Comment 3 W. Michael Petullo 2004-09-14 10:39:24 EDT
This is now in AbiWord's upstream Bugzilla database:

http://bugzilla.abisource.com/show_bug.cgi?id=7399
Comment 4 W. Michael Petullo 2004-09-27 07:54:06 EDT
Abiword-2.0.11-3 works great.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.